import "@paraboly/pwc-choices";
import "@paraboly/pwc-color-picker";
import { EventEmitter } from "../../stencil.core";
import { ContentItemConfig } from "./ContentItemConfig";
import { FieldChangedEventPayload } from "./FieldChangedEventPayload";
export declare class PwcDynamicFormContent {
    private resolvedItems;
    rootElement: HTMLPwcDynamicFormContentElement;
    items: string | ContentItemConfig[];
    onItemsChanged(items: string | ContentItemConfig[]): void;
    fieldChanged: EventEmitter<FieldChangedEventPayload>;
    componentWillLoad(): void;
    private handleFieldChange;
    private constructField;
    private constructPwcChoices;
    private init;
    componentDidLoad(): void;
    componentDidUpdate(): void;
    render(): any;
}
